# $Revision: 1.138 $, $Date: 2010/03/05 09:25:26 $
#
# TODO:
#       - kill bashisms in crawl stuff
#	- add qyoto based settings (requires new packages)
#
%include	/usr/lib/rpm/macros.mono
#
# Conditional build:
%bcond_without	apidocs		# don't build API documentation
%bcond_with	avahi		# enable Avahi support
%bcond_without	evolution	# don't include evolution support
%bcond_without	galago		# build without galago support
%bcond_without	gsf		# build without libgsf support
%bcond_without	gui		# don't build GNOME based GUI
# required epiphany with python support (2009.06.06 removed permanently from epiphany)
%bcond_with	epiphany	# don't build epiphany extension
%bcond_without	thunderbird	# use Thunderbird backend
#
%if !%{with gui}
%undefine	with_evolution
%endif
#
Summary:	Beagle - An indexing subsystem
Summary(pl.UTF-8):	Beagle - podsystem indeksujący
Name:		beagle
Version:	0.3.9
Release:	3
License:	Various
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/beagle/0.3/%{name}-%{version}.tar.bz2
# Source0-md5:	b73c12423d2d67133dbb05933f4c8fe1
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-crawl.patch
Patch2:		%{name}-configure.patch
Patch3:		%{name}-use-xdg-open.patch
Patch4:		%{name}-epiphany.patch
Patch5:		%{name}-gmime-2.4.patch
URL:		http://beagle-project.org/Main_Page
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	chmlib-devel
%{?with_avahi:BuildRequires:	dotnet-avahi-devel >= 0.6.10}
%{?with_evolution:BuildRequires:	dotnet-evolution-sharp-devel >= 0.13.3}
%{?with_galago:BuildRequires:	dotnet-galago-sharp-devel >= 0.5.0}
BuildRequires:	dotnet-gmime-sharp-devel >= 2.3.5
%{?with_gsf:BuildRequires:	dotnet-gsf-sharp-devel >= 0.8.1}
BuildRequires:	dotnet-gtk-sharp2-devel >= 2.10.0
BuildRequires:	dotnet-ndesk-dbus-glib-sharp-devel >= 0.3.0
BuildRequires:	dotnet-ndesk-dbus-sharp-devel >= 0.6.0
%{?with_epiphany:BuildRequires:	epiphany-devel >= 2.22.0}
BuildRequires:	gettext-devel
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libtool
BuildRequires:	mono-csharp >= 1.2.4
BuildRequires:	mono-devel >= 1.2.4
BuildRequires:	pkgconfig
BuildRequires:	sqlite3-devel >= 3.3.9
BuildRequires:	taglib-sharp-devel
BuildRequires:	wv-devel >= 1.2.4
BuildRequires:	xorg-lib-libXScrnSaver-devel
BuildRequires:	zip
# GUI BRs
%if %{with gui}
BuildRequires:	dotnet-gnome-sharp-devel >= 2.16.0
BuildRequires:	gtk+2-devel >= 2:2.10.10
BuildRequires:	librsvg-devel >= 1:2.16.1
BuildRequires:	rpm-pythonprov
%endif
Requires:	dotnet-gmime-sharp >= 2.3.5
Requires:	dotnet-gsf-sharp
Requires:	shared-mime-info
Requires:	sqlite3
Requires:	xdg-utils
Obsoletes:	beagle-libs
Obsoletes:	beagle-static
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
ExclusiveArch:	%{ix86} %{x8664} arm hppa ia64 ppc s390 s390x sparc sparcv9 sparc64
ExcludeArch:	i386
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Beagle is an indexing sub-system and search aggregator built on top of
Lucene.Net.

%description -l pl.UTF-8
Beagle jest podsystemem indeksującym i wyszukującym zbudowanym na
bazie Lucene.Net.

%package debug
Summary:	Debug files for the Mono part of Beagle
Summary(pl.UTF-8):	Pliki debugujące dla części Mono Beagle'a
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description debug
Debug files for the Mono part of Beagle.

%description -l pl.UTF-8
Pliki debugujące dla części Mono Beagle'a.

%package devel
Summary:	Beagle development files
Summary(pl.UTF-8):	Pliki programistyczne Beagle
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Beagle development files.

%description devel -l pl.UTF-8
Pliki programistyczne Beagle.

%package apidocs
Summary:	libbeagle API documentation
Summary(pl.UTF-8):	Dokumentacja API libbeagle
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
libbeagle API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API libbeagle.

%package crawl-system
Summary:	Beagle crawl system
Summary(pl.UTF-8):	System przeszukujący beagle-crawl
Group:		Applications/System
Requires:	crondaemon
Provides:	group(beagleindex)
Provides:	user(beagleindex)

%description crawl-system
Beagle crawl system.

%description crawl-system -l pl.UTF-8
System przeszukujący beagle-crawl.

%package search-gui
Summary:	GNOME based Beagle GUI
Summary(pl.UTF-8):	Oparty na GNOME graficzny interfejs dla Beagle
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
Requires:	gtk+2 >= 2:2.10.10

%description search-gui
GNOME based Beagle GUI.

%description search-gui -l pl.UTF-8
Oparty na GNOME graficzny interfejs dla Beagle.

%package startup
Summary:	Automatic startup integration for Beagle
Summary(pl.UTF-8):	Integracja funkcji automatycznego startu Beagle
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Obsoletes:	beagle-gnome

%description startup
Automatic session startup integration for Beagle.

%description startup -l pl.UTF-8
Integracja funkcji automatycznego startu Beagle.

%package webinterface
Summary:	A web interface for Beagle
Summary(pl.UTF-8):	Interfejs sieciowy dla Beagle
Group:		Applications
Requires:	%{name} = %{version}-%{release}

%description webinterface
An AJAX interface that allows users to search for data through their
web browser.

%description webinterface -l pl.UTF-8
AJAX-owy interfejs pozwalający użytkownikom wyszukiwać dane za pomocą
przeglądarki internetowej.

%package evolution
Summary:	Beagle Evolution backend
Summary(pl.UTF-8):	Backend Beagle dla Evolution
Group:		X11/Applications/Networking
Requires:	%{name} = %{version}-%{release}
Requires:	dotnet-evolution-sharp >= 0.11.1
Requires:	evolution >= 2.10.0

%description evolution
Beagle Evolution backend.

%description evolution -l pl.UTF-8
Backend Beagle dla Evolution.

%package icedove
Summary:	Beagle Icedove backend
Summary(pl.UTF-8):	Backend Beagle dla Icedove
Group:		X11/Applications/Networking
Requires:	%{name} = %{version}-%{release}
Requires:	icedove
Provides:	beagle-thunderbird
Obsoletes:	beagle-thunderbird

%description icedove
Beagle Icedove backend.

%description icedove -l pl.UTF-8
Backend Beagle dla Icedove.

%package -n epiphany-extension-beagle
Summary:	Epiphany extension - beagle
Summary(pl.UTF-8):	Rozszerzenie dla Epiphany - beagle
Group:		X11/Applications/Networking
Requires:	%{name} = %{version}-%{release}
Requires:	epiphany-extensions >= 2.22.0

%description -n epiphany-extension-beagle
Epiphany extension that allows Beagle to index every page the user
views.

%description -n epiphany-extension-beagle -l pl.UTF-8
Rozszerzenie dla Epiphany sprawiające, że Beagle indeksuje każdą
odwiedzaną stronę.

%package -n iceweasel-extension-beagle
Summary:	Iceweasel extension - beagle
Summary(pl.UTF-8):	Rozszerzenie dla przeglądarki Iceweasel - beagle
Group:		X11/Applications/Networking
Requires:	%{name} = %{version}-%{release}
Requires:	iceweasel
Provides:	mozilla-firefox-extension-beagle
Obsoletes:	mozilla-firefox-extension-beagle

%description -n iceweasel-extension-beagle
Iceweasel extension that allows Beagle to index every page the user
views.

%description -n iceweasel-extension-beagle -l pl.UTF-8
Rozszerzenie dla przeglądarki Iceweasel sprawiające, że Beagle
indeksuje każdą odwiedzaną stronę.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static \
	--%{!?with_epiphany:dis}%{?with_epiphany:en}able-epiphany-extension \
	--%{!?with_evolution:dis}%{?with_evolution:en}able-evolution \
	--%{!?with_gui:dis}%{?with_gui:en}able-gui \
	--%{!?with_thunderbird:dis}%{?with_thunderbird:en}able-thunderbird \
	--%{!?with_avahi:dis}%{?with_avahi:en}able-avahi

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_var}/cache/beagle/indexes

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	monodocdir=%{_libdir}/monodoc/sources

rm $RPM_BUILD_ROOT%{_libdir}/%{name}/lib*glue.la

dest=$RPM_BUILD_ROOT%{_datadir}/iceweasel/extensions/\{fda00e13-8c62-4f63-9d19-d168115b11ca\}
install -d $dest $dest/chrome
install firefox-extension/{chrome.manifest,install.rdf} $dest
cp -r firefox-extension/chrome/* $dest/chrome

%if %{with thunderbird}
tdest=$RPM_BUILD_ROOT%{_libdir}/icedove/extensions/\{b656ef18-fd76-45e6-95cc-8043f26361e7\}
install -d $tdest
install thunderbird-extension/{chrome.manifest,install.rdf} $tdest
cp -r thunderbird-extension/{chrome,components,defaults} $tdest
%endif

%if %{with gui}
[ -d $RPM_BUILD_ROOT%{_datadir}/locale/sr@latin ] || \
	mv -f $RPM_BUILD_ROOT%{_datadir}/locale/sr@{Latn,latin}
%find_lang %{name}
%else
touch %{name}.lang
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%pre crawl-system
%groupadd -g 166 -r -f beagleindex
%useradd -u 166 -r -d /var/cache/beagle -s /bin/false -c "Beagle indexing" -g beagleindex beagleindex

%postun crawl-system
if [ "$1" = "0" ]; then
        %userremove beagleindex
        %groupremove beagleindex
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/beagle-config
%{?with_gsf:%attr(755,root,root) %{_bindir}/beagle-doc-extractor}
%attr(755,root,root) %{_bindir}/beagle-extract-content
%attr(755,root,root) %{_bindir}/beagle-index-info
%attr(755,root,root) %{_bindir}/beagle-info
%attr(755,root,root) %{_bindir}/beagle-ping
%attr(755,root,root) %{_bindir}/beagle-query
%attr(755,root,root) %{_bindir}/beagle-shutdown
%attr(755,root,root) %{_bindir}/beagle-static-query
%attr(755,root,root) %{_bindir}/beagle-status
%attr(755,root,root) %{_bindir}/beagled
%attr(755,root,root) %{_bindir}/blocate
%attr(755,root,root) %{_libdir}/%{name}/*.exe
%attr(755,root,root) %{_libdir}/%{name}/libbeagleglue.so*
%dir %{_sysconfdir}/beagle
%dir %{_sysconfdir}/beagle/config-files
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/beagle/blocate.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/beagle/query-mapping.xml
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/beagle/config-files/BeagleSearch.xml
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/beagle/config-files/Daemon.xml
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/beagle/config-files/FilesQueryable.xml
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/beagle/config-files/GoogleBackends.xml
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/beagle/config-files/Networking.xml
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/Backends
%dir %{_libdir}/%{name}/Filters
%{_libdir}/%{name}/*.dll
%{_libdir}/%{name}/*.dll.config
%{_libdir}/%{name}/Backends/GoogleBackends*.dll
%{_libdir}/%{name}/Filters/*.dll
%attr(755,root,root) %{_libdir}/%{name}/beagled-index-helper
%{_mandir}/man1/beagle-config.1*
%{_mandir}/man1/beagle-info.1*
%{_mandir}/man1/beagle-ping.1*
%{_mandir}/man1/beagle-query.1*
%{_mandir}/man1/beagle-shutdown.1*
%{_mandir}/man1/beagle-status.1*
%{_mandir}/man1/beagled.1*
%{_mandir}/man8/beagle-doc-extractor.8*
%{_mandir}/man8/beagle-index-info.8*

%files debug
%defattr(644,root,root,755)
%{_libdir}/%{name}/Backends/*.mdb
%{_libdir}/%{name}/Filters/*.mdb
%{_libdir}/%{name}/*.mdb

%files devel
%defattr(644,root,root,755)
%{_pkgconfigdir}/beagle-0.0.pc
%{?with_gui:%{_pkgconfigdir}/beagle-ui-0.0.pc}
%{_pkgconfigdir}/beagle-daemon.pc

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_libdir}/monodoc/sources/*
%endif

%files crawl-system
%defattr(644,root,root,755)
%dir %{_sysconfdir}/beagle/crawl-rules
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/beagle/crawl-rules/crawl-applications
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/beagle/crawl-rules/crawl-documentation
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/beagle/crawl-rules/crawl-executables
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/beagle/crawl-rules/crawl-manpages
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/beagle/crawl-rules/crawl-monodoc
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/beagle/crawl-rules/crawl-windows
# XXX: samples not here
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/beagle/external-filters.xml.sample
%attr(750,root,crontab) %config(noreplace) %verify(not md5 mtime size) /etc/cron.daily/beagle-crawl-system
%dir %attr(755,beagleindex,beagleindex) %{_var}/cache/beagle
%dir %attr(755,beagleindex,beagleindex) %{_var}/cache/beagle/indexes
%attr(755,root,root) %{_sbindir}/beagle-build-index
%attr(755,root,root) %{_sbindir}/beagle-dump-index
%attr(755,root,root) %{_sbindir}/beagle-manage-index
%attr(755,root,root) %{_sbindir}/beagle-master-delete-button
%attr(755,root,root) %{_sbindir}/beagle-removable-index
%{_mandir}/man8/beagle-dump-index.8*
%{_mandir}/man8/beagle-build-index.8*
%{_mandir}/man8/beagle-extract-content.8*
%{_mandir}/man8/beagle-manage-index.8*

%if %{with gui}
%files search-gui
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/beagle-imlogviewer
%attr(755,root,root) %{_bindir}/beagle-search
%attr(755,root,root) %{_bindir}/beagle-settings
%attr(755,root,root) %{_libdir}/%{name}/libbeagleuiglue.so*
%attr(755,root,root) %{_libdir}/%{name}/keygrabber.py
%{_mandir}/man1/beagle-search.1*
%{_mandir}/man1/beagle-settings.1*
%{_mandir}/man8/beagle-imlogviewer.8*
%{_desktopdir}/*.desktop
%endif

%files startup
%defattr(644,root,root,755)
%{_sysconfdir}/xdg/autostart/beagled-autostart.desktop
%{?with_gui:%{_sysconfdir}/xdg/autostart/beagle-search-autostart.desktop}

%files webinterface
%defattr(644,root,root,755)
%{_datadir}/%{name}

%if %{with evolution}
%files evolution
%defattr(644,root,root,755)
%{_libdir}/%{name}/Backends/Evolution*.dll
%endif

%if %{with thunderbird}
%files icedove
%defattr(644,root,root,755)
%{_libdir}/%{name}/Backends/Thunderbird*.dll
%{_libdir}/icedove/extensions/{b656ef18-fd76-45e6-95cc-8043f26361e7}
%endif

%if %{with epiphany}
%files -n epiphany-extension-beagle
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/epiphany/2.26/extensions/beagle.py
%{_libdir}/epiphany/2.26/extensions/*.ephy-extension
%endif

%files -n iceweasel-extension-beagle
%defattr(644,root,root,755)
%{_datadir}/iceweasel/extensions/{fda00e13-8c62-4f63-9d19-d168115b11ca}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: beagle.spec,v $
Revision 1.138  2010/03/05 09:25:26  hawk
- release 3

Revision 1.137  2010/02/22 16:58:18  sls
- turn off epiphany bcond - doesn't work with recent (2.28?) epiphany
- BR: rpm-pythonprov --with gui

Revision 1.136  2010/02/22 16:45:03  sls
- BR: gtk+2-devel only --with gui
- beagle-doc-extractor built only --with gsf

Revision 1.135  2010/02/22 16:39:05  sls
- move beagle-search man to search-gui package
- fix files section --without gui

Revision 1.134  2010/02/22 16:28:39  sls
- locales built only --with gui

Revision 1.133  2009/05/15 20:22:04  hawk
- fix for epiphany 2.26

Revision 1.132  2009/05/15 17:10:26  hawk
- updated to 0.3.9

Revision 1.131  2009/05/15 17:00:56  hawk
- release 7

Revision 1.130  2009/02/18 11:15:34  patrys
- rel 6

Revision 1.129  2008/10/30 10:18:57  hawk
- release 5

Revision 1.128  2008/10/20 09:38:48  hawk
- patch for new gmime 2.4 API, updated BRs

Revision 1.127  2008/10/16 21:36:22  megabajt
- added -epiphany.patch to fix build with epiphany 2.24
- release 3

Revision 1.126  2008/10/05 13:58:37  rotom
- rel 2

Revision 1.125  2008/07/27 21:07:05  megabajt
- updated to 0.3.8
- changed name of thunderbird subpackage to icedove and mozilla-firefox-extension-beagle
  package to iceweasel-extension-beagle
- updated -crawl.patch and -configure.patch
- added -use-xdg-open.patch
- release 1

Revision 1.124  2008/05/13 00:56:56  wrobell
- added missing files, nfy

Revision 1.123  2008-05-12 23:47:40  wrobell
- ver. 0.3.7, nfy

Revision 1.122  2008-03-24 15:56:20  hawk
- blah, updated for Epiphany 2.22
- release 6

Revision 1.121  2008-03-18 12:20:19  hawk
- release 5

Revision 1.120  2008-03-18 11:27:11  hawk
- release 4

Revision 1.119  2008-02-12 14:34:58  patrys
- fix R: in devel

Revision 1.118  2008-02-11 19:54:38  deejay1
- drop R: beagle-libs (fails to upgrade with it)
- rel. 2

Revision 1.117  2008-02-08 23:10:54  qboosh
- glue libraries are dlopened by mono; no point in -libs and -static
- general cleanup, moved man pages to proper packages
- Obsoletes for old python- package

Revision 1.116  2008-02-03 17:16:47  deejay1
- version 0.3.3 merged from DEVEL
- release 1

Revision 1.115.2.5  2008-02-03 17:11:50  deejay1
- pass proper monodocdir on x86_64 to make install
- rel 1

Revision 1.115.2.4  2008-02-03 16:56:32  deejay1
- renumbered patches
- updated TODO

Revision 1.115.2.3  2008-02-03 16:30:13  deejay1
- updated TODO
- thunderbird and epiphany extensions are back
- added webinterface package
- epiphany patch no longer needed, at least not in that form
- update remaining patches
- rel 0.9

Revision 1.115.2.2  2008-02-03 14:30:12  deejay1
- updated to 0.3.3
- restored firefox extension
- NFY

Revision 1.115.2.1  2008-01-05 15:41:31  deejay1
- saving work
- please fix ;)

Revision 1.115  2007-11-06 20:20:13  wolvverine
- build thunderbird plugin

Revision 1.114  2007/11/03 23:11:26  ankry
- sr@Latn -> sr@latin, rel. 3

Revision 1.113  2007/09/30 18:45:50  qrczak
- Updated to epiphany-2.20
- Release 2

Revision 1.112  2007/08/29 21:27:17  aflinta
- up to vewrsion 0.2.18

Revision 1.111  2007/05/21 06:38:03  czarny
- R: dotnet-gsf-sharp; beagled won't start without it

Revision 1.110  2007/05/09 10:46:30  patrys
- 0.2.17
- patch2 applied upstream

Revision 1.109  2007/03/17 13:06:33  megabajt
- updated to 0.2.16.3

Revision 1.108  2007/03/14 20:26:50  megabajt
- updated to 0.2.16.2
- beagle-unary-plus-string.patch applied upstream
- added epiphany 2.18 patch

Revision 1.107  2007/02/12 21:23:49  glen
- tabs in preamble

Revision 1.106  2007/02/12 00:48:39  baggins
- converted to UTF-8

Revision 1.105  2007/02/10 23:49:03  qrczak
- 0.2.16
- beagle-unary-plus-string.patch: mono-1.2.3 doesn't like +"string"

Revision 1.104  2007/02/05 17:11:04  glen
- require mozilla with %{_datadir}

Revision 1.103  2007/02/05 17:06:58  qrczak
- Added subpackage mozilla-firefox-extension-beagle
- Fixed paths in cron.daily/beagle-crawl-system
- Release 2

Revision 1.102  2007/01/31 23:59:55  qrczak
- Fixed URL, the old one seems to be dead.

Revision 1.101  2007/01/27 08:30:20  deejay1
- updated to 0.2.15.1
- Thunderbird backend disabled by default

Revision 1.100  2007/01/16 21:40:29  glen
- fix duplicate %descriptions

Revision 1.99  2006/12/15 13:32:47  deejay1
- replaced Source1 with updated desktop patch
- BR chmlib-devel
- rel 1

Revision 1.98  2006/12/14 22:47:16  deejay1
- up to 0.2.14
- NFY; TODO: fix startup package

Revision 1.97  2006/11/21 19:42:43  deejay1
- fixed release

Revision 1.96  2006/11/21 19:37:38  deejay1
- up to 0.2.13

Revision 1.95  2006/11/13 14:53:20  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.94  2006/11/05 13:21:12  deejay1
- up to 0.2.12

Revision 1.93  2006/10/21 19:11:22  grzegol
- 0.2.11

Revision 1.92  2006/09/20 20:22:36  grzegol
- updated to 0.2.10
- enabled epiphany extension (it builds with epiphany-2.16)
- removed outdated galago05 patch (applied upstream)

Revision 1.91  2006/09/03 21:54:29  qboosh
- Obsoletes for -gnome, cosmetics

Revision 1.90  2006/09/01 21:38:01  grzegol
- updated to 0.2.9
- removed outdated sonames patch (applied upstream)
- epiphany < 2.15 is required to build beagle epiphany extension
- rename gnome package to startup and move .desktop file from
  %%{_datadir}/gnome/autostart to %%{_sysconfdir}/xdg/autostart

Revision 1.89  2006/08/30 10:43:05  wiget
- include dllmaps in package

Revision 1.88  2006/08/29 21:45:07  patrys
- cd freetz; make happy

Revision 1.87  2006/08/29 20:04:04  patrys
- add autostart dekstop file

Revision 1.86  2006/08/28 05:39:52  freetz
- rel.3 for rebuild with new python

Revision 1.85  2006/08/18 20:24:07  freetz
- added sonames patch, don't package *.mdb files, rel.2

Revision 1.84  2006/08/17 19:23:37  freetz
- 0.2.8, gtk-sharp patch included in sources, added thunderbird backend,
  updated file list

Revision 1.83  2006/08/14 22:17:17  grzegol
- s#%%{_var}/cache/beagle/index#%{_var}/cache/beagle/indexes#
  beagle uses second one
- 750 for /etc/cron.daily/*
- rel. 5

Revision 1.82  2006/08/13 18:30:28  freetz
- remove trash, rel.4

Revision 1.81  2006/08/13 07:03:15  freetz
- rel.3, added fix to build with new galago-sharp, updated BR, apidocs
  subpackage added

Revision 1.80  2006/08/12 19:50:25  grzegol
- added gtk-sharp patch (fixes build with gtk-sharp 2.9.x)

Revision 1.79  2006/07/20 20:35:41  aredridel
- -devel package requires DLLs in main package

Revision 1.78  2006/06/27 20:09:22  freetz
- added configure patch, rel.2

Revision 1.77  2006/06/27 18:34:42  freetz
- 0.2.7, bleeding edge deps

Revision 1.76  2006/04/30 11:51:44  freetz
- 0.2.6

Revision 1.75  2006/04/20 19:00:56  freetz
- 0.2.5, removed filtertiff patch (obsolete), updated file list

Revision 1.74  2006/04/08 07:23:18  freetz
- rel.2 for fixed kill_exec_a patch

Revision 1.73  2006/04/08 06:54:57  freetz
- 0.2.4, added filtertiff patch (compilation fix for mono 1.1.14), updated
  file list

Revision 1.72  2006/03/19 14:37:02  aflinta
 updated mono and wv requirements for proper build and working, release 2

Revision 1.71  2006/03/18 19:53:00  deejay1
- up to 0.2.3

Revision 1.70  2006/03/07 17:53:07  freetz
- 0.2.2.1, enabled galago and gsf support

Revision 1.69  2006/03/06 22:24:56  freetz
- updated changelog

Revision 1.68  2006/03/06 22:22:05  freetz
- 0.2.2, unpacked some *.mdb files
  added kill_exec_a patch (killed exec -a)

Revision 1.67  2006/02/27 19:20:53  djurban
- bconds: python, sqlite3, updated BR's
- it is now compilable without gnome (you must recompile at least librsvg and
  dotnet-gtk-sharp without gnome)

Revision 1.66  2006/02/23 23:00:53  freetz
- move beagleuiglue to search-gui

Revision 1.65  2006/02/23 22:46:27  freetz
- more files

Revision 1.64  2006/02/23 22:27:34  freetz
- allow build with small dependency set (apidocs, gui bconds), rel.2.1

Revision 1.63  2006/02/21 16:39:13  freetz
- force unbroken evo dotnet version, fix rights for beagle-crawl-system
  (anyway propably broken due to bashizms)

Revision 1.62  2006/01/31 14:55:34  qboosh
- tabs

Revision 1.61  2006/01/31 14:32:58  freetz
- 0.2.1, fixed cut&paste typo, removed woraround for broken mono version
  (beagle builds without problems with 1.1.13.x)

Revision 1.60  2006/01/31 03:01:55  patrys
- build against mono 1.1.12

Revision 1.59  2006/01/29 10:23:42  darekr
- missing dir

Revision 1.58  2006/01/29 09:11:32  freetz
- TODO updated

Revision 1.57  2006/01/29 09:09:05  freetz
- evolution backend subpkg

Revision 1.56  2006/01/29 08:56:16  freetz
- corrected permissions

Revision 1.55  2006/01/29 08:46:46  freetz
- finished crawl-system, bconded gsf

Revision 1.54  2006/01/28 23:41:16  freetz
- started work on 0.2.0, updated BR, not finished yet

Revision 1.53  2006/01/28 23:28:04  saq
- typo

Revision 1.52  2005/12/08 11:08:49  qboosh
- encoding fix

Revision 1.51  2005/12/08 08:17:11  freetz
- move lib*glue* to main package

Revision 1.50  2005/12/08 07:53:57  freetz
- fix libs

Revision 1.49  2005/12/08 07:47:14  freetz
- 0.1.3, python bindings added

Revision 1.48  2005/11/30 18:39:05  freetz
- exclude alpha i386 sparc sparc64 from build, enable gsf-sharp

Revision 1.47  2005/11/14 17:05:01  freetz
- mono 1.1.10 is required

Revision 1.46  2005/11/14 16:48:54  freetz
- 0.1.2

Revision 1.45  2005/10/24 21:09:04  qboosh
- missing dir in -libs

Revision 1.44  2005/10/24 20:21:23  freetz
- more TODO

Revision 1.43  2005/10/24 20:04:20  freetz
- fixed libs

Revision 1.42  2005/10/24 19:34:31  freetz
- run ldconfig for libs subpkg

Revision 1.41  2005/10/24 19:32:17  freetz
- more work on TODO, packaged crawl files, patched desktop files, switched
  off epiphany bcond (dangerous!, whatever it means), crawl patch added,
  static, libs subpackages added, rel. 0.9

Revision 1.40  2005/10/05 12:54:08  freetz
- started work on 0.1.1, without evolution by default (evolution is handled
  anyway), random mono build glichtes with mono 1.1.9.1 on x86, use at own
  risk

Revision 1.39  2005/09/16 15:16:17  wolf
- evolution bconded

Revision 1.38  2005/09/16 07:25:56  freetz
- smashed some of mono Rs (autodeps included)

Revision 1.37  2005/09/16 06:58:28  freetz
- packaged more %%files, fixed BRs/Rs, build epiphany plugin by default,
  use gtk-doc, TODO expanded, cleanup, builds, works, etc.

Revision 1.36  2005/09/15 22:22:56  freetz
- starded upgrade to 0.1.0, updated BRs/Rs

Revision 1.35  2005/07/12 19:44:22  freetz
- removed TODO (passing MOZILLA_HOME to make solves the problem), fixed
  epiphany extension %%files, rel. 0.9, build, works, have a nice search!

Revision 1.34  2005/07/12 19:30:47  freetz
- dbus stuff not required in any form, %%files fixes, more Rs

Revision 1.33  2005/07/12 19:22:28  freetz
- dropped outdated patches, rm no locale

Revision 1.32  2005/07/12 19:17:18  freetz
- updated BRs/Rs

Revision 1.31  2005/07/12 17:32:31  freetz
- temporary hack for mozilla home misdetection

Revision 1.30  2005/07/12 17:24:52  freetz
- new sqlite3 support seems broken, back to old one

Revision 1.29  2005/07/12 16:25:09  freetz
- TODO updated

Revision 1.28  2005/07/12 15:35:30  freetz
- started wotk on 0.0.12, updated BRs, %%files, saving work

Revision 1.27  2005/06/02 17:13:41  pawcioos
- updated to 0.0.10
- added TODO

Revision 1.26  2005/05/31 18:53:16  speedy
- more BRs

Revision 1.25  2005/05/30 21:18:01  freetz
- URL updated, note: 0.0.10 available

Revision 1.24  2005/05/02 18:38:28  aredridel
- BR: libexif-devel

Revision 1.23  2005/05/02 18:34:02  aredridel
- BR: libexif-devel
- BR: sqlite-devel

Revision 1.22  2005/04/30 23:36:02  wrobell
- added missing gettext files

Revision 1.21  2005/04/08 10:43:18  patrys
- up to 0.0.9

Revision 1.20  2005/03/24 23:15:36  wrobell
- ver. 0.0.8.1

Revision 1.19  2005/02/10 22:01:42  qboosh
- simplified cleanup, faster build (by --disable-static)
- updated deps; it wants evolution-sharp 0.6 now

Revision 1.18  2005/02/10 21:46:13  qboosh
- remove more junk, .so perms

Revision 1.17  2005/02/10 17:36:15  darekr
- removed duplicated dir

Revision 1.16  2005/01/13 21:34:04  qboosh
- use complete URL, gpm-friendly Source URL

Revision 1.15  2005/01/13 20:13:21  malekith
- wasn't it gnome.ORG ? ;-)

Revision 1.14  2005/01/13 14:03:12  krzak
- rel 0.2
- R: dotnet-gsf-sharp
- R: dotnet-dbus-sharp >= 0.23

Revision 1.13  2004/12/15 09:36:25  qboosh
- removed one more useless file, .so perms

Revision 1.12  2004/12/14 13:58:05  krzak
- bash.patch  change /bin/sh -> /bin/bash

Revision 1.11  2004/12/14 13:30:30  krzak
- add INFO

Revision 1.10  2004/12/14 13:29:17  krzak
- up to 0.0.4
- rel 0.1
- BR: dotnet-gmime-sharp-devel
- BR: dotnet-gecko-sharp-devel
- commented patches Filters-dir.patch and pc.patch
- %{_libdir}/gtk-2.0/2.4.0/filesystems/libbeaglechooserhack

Revision 1.9  2004/08/26 20:42:59  grzegol
- fixed pc patch; rel. .2

Revision 1.8  2004/08/17 10:01:02  qboosh
- BR: libtool

Revision 1.7  2004/08/13 14:06:37  krzak
- up to snap 20040813
- Filters-dir.patch
- pc.patch

Revision 1.6  2004/07/26 21:27:08  grzegol
- added without_epiphany bcond (epiphany-extension requires epiphany-1.2)

Revision 1.5  2004/06/23 15:07:00  grzegol
- rel. 1

Revision 1.4  2004/06/20 21:01:15  grzegol
- updated BRs and Rs
- added epiphany-extension-beagle subpackage
- rel. 0.9 (done ???)

Revision 1.3  2004/06/20 18:13:57  aflinta
- we don't need ldconfig, release 0.2

Revision 1.2  2004/06/20 18:11:15  aflinta
- fixed permissions

Revision 1.1  2004/06/20 18:08:46  aflinta
- initial PLD release
